// Random curves generator v.0.9 - Max Smirnov (RUS) 2014
#include "WaitForDialogDone.js"
function DoDistort()
{
	if ( WaitForDialogDone() ) 
	{
		var curvesNum = moi.ui.commandUI['curvesNum'].value;
		var pointsNum = moi.ui.commandUI['pointsNum'].value;
		var XShift = moi.ui.commandUI['XShift'].value/100;
		var YShift = moi.ui.commandUI['YShift'].value/100;
		var ZShift = moi.ui.commandUI['ZShift'].value/100;
		var Xc = XShift / 2;
		var Yc = YShift / 2;
		var Zc = ZShift / 2;
		
		for ( var x = 0; x<curvesNum; ++x )
		{
			var cfactory = moi.command.createFactory( 'curve' );
			for ( var y = 0; y<pointsNum; ++y )
			{
				var pt = moi.VectorMath.createPoint( x+Math.random()*XShift - Xc, y+Math.random()*YShift - Yc, Math.random()*ZShift - Zc);
				cfactory.createInput('point');
				cfactory.setInput( y, pt  );
			}
			cfactory.commit();
		}
	}
}

DoDistort();
// 